using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DontDestroy : MonoBehaviour
{

	private static bool instanced = false;

	void Awake()
	{
		if(!instanced)
		{
			instanced = true;
			DontDestroyOnLoad(gameObject);
		}
		else
		{
			Destroy(gameObject);
		}	
	}
}
